$badge-distance: 15px;

.badge {
  padding: 8px 15px;
  font-size: 14px;
  font-weight: 500;
  border-radius: 1.5px;
  color: #fff;
  position: absolute;
  &:hover {
    color: #fff;
  }
  &--sale {
    background-color: #e54242;
  }
  &--feature {
    background-color: #18ba60;
  }
  &--family {
    background-color: #3a2c5f;
  }
  &--yellow {
    background-color: #ffb200;
  }

  &--top-right {
    right: $badge-distance;
    top: $badge-distance;
  }
  &--top-left {
    left: $badge-distance;
    top: $badge-distance;
  }
  &--bottom-left {
    left: $badge-distance;
    bottom: $badge-distance;
  }
  &--bottom-right {
    right: $badge-distance;
    bottom: $badge-distance;
  }
}
